#!/bin/bash
#
# Recipe-specific step for task Install:  (make_install.sh
#

if [ -r "$PLATFORM_LOC/scripts/utils.sh" ]; then
	source "$PLATFORM_LOC/scripts/utils.sh"
else
	source "$script_lib_dir/utils.sh"
fi

function local_do_make_install() {
	for d in /sys /proc; do
		install -m 0555 -d $installDir$d
	done
	for d in /boot /dev /bin /sbin /lib            /etc /etc/default            /etc/skel /lib /mnt /home/root /run            /usr /usr/bin /usr/share/doc/base-files-3.0.14 /usr/games /usr/include            /usr/lib /usr/sbin /usr/share            /usr/share/common-licenses /usr/share/dict /usr/share/info            /usr/share/man /usr/share/misc /var            /var/backups /var/lib            /var/lib/misc /var/spool            /var/volatile            /var/volatile/log            /home /usr/src /var/local            /media; do
		install -m 0755 -d $installDir$d
	done
	for d in /tmp /var/volatile/tmp; do
		install -m 1777 -d $installDir$d
	done
	for d in ; do
		install -m 2775 -d $installDir$d
	done
	for d in log tmp; do
		ln -sf volatile/$d $installDir/var/$d
	done

	ln -snf ../run $installDir/var/run
	ln -snf ../run/lock $installDir/var/lock

	do_install_basefilesissue

	rotation=`cat $buildDir/rotation`
	if [ "$rotation" != "0" ]; then
 		install -m 0644 $buildDir/rotation $installDir/etc/rotation
	fi

	install -m 0644 $buildDir/fstab $installDir/etc/fstab
	install -m 0644 $buildDir/filesystems $installDir/etc/filesystems
	install -m 0644 $buildDir/usbd $installDir/etc/default/usbd
	install -m 0644 $buildDir/profile $installDir/etc/profile
	sed -i 's#ROOTHOME#/home/root#' $installDir/etc/profile
        sed -i 's#@BINDIR@#/usr/bin#g' $installDir/etc/profile
	install -m 0644 $buildDir/shells $installDir/etc/shells
	install -m 0755 $buildDir/share/dot.profile $installDir/etc/skel/.profile
	install -m 0755 $buildDir/share/dot.bashrc $installDir/etc/skel/.bashrc
	install -m 0644 $buildDir/nsswitch.conf $installDir/etc/nsswitch.conf
	install -m 0644 $buildDir/host.conf $installDir/etc/host.conf
	install -m 0644 $buildDir/motd $installDir/etc/motd

	ln -sf /proc/mounts $installDir/etc/mtab
}

do_buildstep_prepend

local_do_make_install

do_buildstep_append

