#!/bin/bash
# Script to install a prebuilt package

if [ -r "$PLATFORM_LOC/scripts/utils.sh" ]; then
	source "$PLATFORM_LOC/scripts/utils.sh"
else
	source "$script_lib_dir/utils.sh"
fi

do_buildstep_prepend

log_exec install -d ${D}${sysconfdir}
log_exec install -D -m 0644 ${WORKDIR}/inittab ${D}${sysconfdir}/inittab
tmp="${serial_consoles}"
[ -n "$tmp" ] && echo >> ${D}${sysconfdir}/inittab
for i in $tmp
do
	j=`echo ${i} | sed s/\;/\ /g`
	id=`echo ${i} | sed -e 's/^.*;//' -e 's/;.*//'`
	echo "$id::respawn:${base_sbindir}/getty ${j}" >> ${D}${sysconfdir}/inittab
done
if [ "${USE_VT}" = "1" ]; then
	cat <<EOF >>${D}${sysconfdir}/inittab
# ${base_sbindir}/getty invocations for the runlevels.
#
# The "id" field MUST be the same as the last
# characters of the device (after "tty").
#
# Format:
#  <id>:<runlevels>:<action>:<process>
#

EOF

	for n in ${SYSVINIT_ENABLED_GETTYS}
	do
		echo "tty$n:12345:respawn:${base_sbindir}/getty 38400 tty$n" >> ${D}${sysconfdir}/inittab
	done
	echo "" >> ${D}${sysconfdir}/inittab
fi

do_buildstep_append