#! /bin/bash
#
# Script to install configuration files
#
# sysconfdir is set by configure options, or by default to /etc

S=${srcDir}
D=${installDir}
config_files_loc=/configuration_files
sysconfdir=/etc

log_exec install -d ${D}${sysconfdir}/init.d
log_exec install -m 0755 ${S}${config_files_loc}/init ${D}${sysconfdir}/init.d/udev
sed -i s%@UDEVD@%/sbin/udevd% ${D}${sysconfdir}/init.d/udev
log_exec ln -nfs udev ${D}${sysconfdir}/init.d/S03udev

log_exec install -m 0755 ${S}${config_files_loc}/udev-cache ${D}${sysconfdir}/init.d/udev-cache

log_exec install -d ${D}${sysconfdir}/default
log_exec install -m 0755 ${S}${config_files_loc}/udev-cache.default ${D}${sysconfdir}/default/udev-cache

log_exec install -d ${D}${sysconfdir}/udev
log_exec touch ${D}${sysconfdir}/udev/cache.data

log_exec install -d ${D}${sysconfdir}/udev/rules.d
log_exec install -m 0644 ${S}${config_files_loc}/local.rules ${D}${sysconfdir}/udev/rules.d/local.rules


# Use classic network interface naming scheme
log_exec touch ${D}${sysconfdir}/udev/rules.d/80-net-name-slot.rules

# hid2hci has moved to bluez4. removed in udev as of version 169
log_exec rm -f ${D}/lib/udev/hid2hci

# Install extraconf
log_exec install -d ${D}${sysconfdir}/udev/rules.d
log_exec install -m 0644 ${S}${config_files_loc}/automount.rules ${D}${sysconfdir}/udev/rules.d/automount.rules
log_exec install -m 0644 ${S}${config_files_loc}/autonet.rules ${D}${sysconfdir}/udev/rules.d/autonet.rules
log_exec install -m 0644 ${S}${config_files_loc}/localextra.rules ${D}${sysconfdir}/udev/rules.d/localextra.rules
	
log_exec install -d ${D}${sysconfdir}/udev/mount.blacklist.d
log_exec install -m 0644 ${S}${config_files_loc}/mount.blacklist ${D}${sysconfdir}/udev

log_exec install -d ${D}${sysconfdir}/udev/scripts
log_exec install -m 0755 ${S}${config_files_loc}/mount.sh ${D}$sysconfdir/udev/scripts
log_exec install -m 0755 ${S}${config_files_loc}/network.sh ${D}$sysconfdir/udev/scripts
	

