#!/bin/bash
#
# script to install configure files
#

WORKDIR=${S}/configuration_files
systemd_unitdir=${base_libdir}/systemd

log_exec install -d ${D}${sysconfdir}/
log_exec install -d ${D}${sysconfdir}/init.d

log_exec install -m 0644 ${WORKDIR}/sshd_config ${D}${sysconfdir}/ssh/sshd_config
if [ "${USE_PAM}" = "yes" ]; then
	log_exec install -D -m 0644 ${WORKDIR}/sshd ${D}${sysconfdir}/pam.d/sshd
	sed -i -e 's:#UsePAM no:UsePAM yes:' ${D}${sysconfdir}/ssh/sshd_config
fi

if [ "${USE_X11}" = "yes" ]; then
	sed -i -e 's:#X11Forwarding no:X11Forwarding yes:' ${D}${sysconfdir}/ssh/sshd_config
fi

log_exec install -m 0755 ${WORKDIR}/init ${D}${sysconfdir}/init.d/S50sshd
log_exec install -d ${D}${sysconfdir}/default/volatiles
log_exec install -m 0644 ${WORKDIR}/volatiles.99_sshd ${D}${sysconfdir}/default/volatiles/99_sshd
log_exec install -m 0755 ${S}/contrib/ssh-copy-id ${D}${bindir}

# Create config files for read-only rootfs
log_exec install -d ${D}${sysconfdir}/ssh
log_exec install -m 644 ${D}${sysconfdir}/ssh/sshd_config ${D}${sysconfdir}/ssh/sshd_config_readonly
sed -i '/HostKey/d' ${D}${sysconfdir}/ssh/sshd_config_readonly
echo "HostKey /var/run/ssh/ssh_host_rsa_key" >> ${D}${sysconfdir}/ssh/sshd_config_readonly
echo "HostKey /var/run/ssh/ssh_host_dsa_key" >> ${D}${sysconfdir}/ssh/sshd_config_readonly
echo "HostKey /var/run/ssh/ssh_host_ecdsa_key" >> ${D}${sysconfdir}/ssh/sshd_config_readonly
echo "HostKey /var/run/ssh/ssh_host_ed25519_key" >> ${D}${sysconfdir}/ssh/sshd_config_readonly

if [ "${USE_SYSTEMD}" = "yes" ]; then
	log_exec install -d ${D}${systemd_unitdir}/system
	log_exec install -c -m 0644 ${WORKDIR}/sshd.socket ${D}${systemd_unitdir}/system
	log_exec install -c -m 0644 ${WORKDIR}/sshd@.service ${D}${systemd_unitdir}/system
	log_exec install -c -m 0644 ${WORKDIR}/sshdgenkeys.service ${D}${systemd_unitdir}/system
	sed -i -e 's,@BASE_BINDIR@,${base_bindir},g' \
		-e 's,@SBINDIR@,${sbindir},g' \
		-e 's,@BINDIR@,${bindir},g' \
		${D}${systemd_unitdir}/system/sshd.socket ${D}${systemd_unitdir}/system/*.service
fi
