# Append script for task Install: task.install.python3-native_3.8.13-r0 (make_install-append.sh)
# This script was imported from Yocto but may have been modified locally

	# Make sure we use /usr/bin/env python
	for PYTHSCRIPT in `grep -rIl ${bindir}/python ${installDir}${prefix}/bin/python3-native`; do
		sed -i -e '1s|^#!.*|#!/usr/bin/env python3|' $PYTHSCRIPT
	done
	# Add a symlink to the native Python so that scripts can just invoke
	# "nativepython" and get the right one without needing absolute paths
	# (these often end up too long for the #! parser in the kernel as the
	# buffer is 128 bytes long).
	log_run ln -s ${recipe_name}/${recipe_base_name} ${installDir}${prefix}/bin/nativepython3
	log_run mkdir -p ${installDir}${libdir}/python-sysconfigdata
	sysconfigfile=`find ${installDir} -name _sysconfig*.py`
	log_run cp $sysconfigfile ${installDir}${libdir}/python-sysconfigdata/_sysconfigdata.py

	sed -i  \
		-e "s,^ 'LIBDIR'.*, 'LIBDIR': '${libdir}'\,,g" \
		-e "s,^ 'INCLUDEDIR'.*, 'INCLUDEDIR': '${includedir}'\,,g" \
		-e "s,^ 'CONFINCLUDEDIR'.*, 'CONFINCLUDEDIR': '${includedir}'\,,g" \
		-e "/^ 'INCLDIRSTOMAKE'/{N; s,/usr/include,${includedir},g}" \
		-e "/^ 'INCLUDEPY'/s,/usr/include,${includedir},g" \
		${installDir}${libdir}/python-sysconfigdata/_sysconfigdata.py

	# nativepython3 and python3 are in $exec_prefix/bin, not $bindir, as the latter
	# may be moved to $exec_prefix/bin/python3-native...
	if [[ "$bindir " =~ "/python3-native " ]]; then
		log_exec ln -sf python3-native/python3 ${installDir}${bindir}/../python3
	fi	
