#!/bin/bash
# Script to run make with input target and arguments

if [ -r "$PLATFORM_LOC/scripts/utils.sh" ]; then
	source "$PLATFORM_LOC/scripts/utils.sh"
else
	source "$script_lib_dir/utils.sh"
fi

do_python_make() {
	do_make PGEN=${NATIVE_SYSROOT_LOC}/usr/bin/python3/pgen \
		HOSTPYTHON={NATIVE_SYSROOT_LOC}/usr/bin/python3/python3 \
		STAGING_LIBDIR=${STAGING_LIBDIR} \
		STAGING_INCDIR=${STAGING_INCDIR} \
		STAGING_BASELIBDIR=${STAGING_BASELIBDIR} \
		LIB=lib \
		ARCH=${arch_name} \
		OPT="${CFLAGS}" \
		"$@"
}

do_buildstep_prepend

# regenerate platform specific files, because they depend on system headers
cd ${S}/Lib/plat-linux*
include=${STAGING_INCDIR} ${STAGING_BINDIR_NATIVE}/python3/python3 \
	${S}/Tools/scripts/h2py.py -i '(u_long)' \
	${STAGING_INCDIR}/dlfcn.h \
	${STAGING_INCDIR}/linux/cdrom.h \
	${STAGING_INCDIR}/netinet/in.h \
	${STAGING_INCDIR}/sys/types.h
sed -e 's,${STAGING_DIR_HOST},,g' -i *.py
cd -

# remove any bogus LD_LIBRARY_PATH
sed -i -e s,RUNSHARED=.*,RUNSHARED=, ${B}/Makefile


if [ ! -f "${B}/Makefile.orig" ]; then
	log_exec install -m 0644 ${B}/Makefile ${B}/Makefile.orig
fi

sed -i -e 's,^CONFIGURE_LDFLAGS=.*,CONFIGURE_LDFLAGS=-L. -L${STAGING_LIBDIR},g' \
	-e 's,libdir=${libdir},libdir=${STAGING_LIBDIR},g' \
	-e 's,libexecdir=${libexecdir},libexecdir=${STAGING_DIR_HOST}${libexecdir},g' \
	-e 's,^LIBDIR=.*,LIBDIR=${STAGING_LIBDIR},g' \
	-e 's,includedir=${includedir},includedir=${STAGING_INCDIR},g' \
	-e 's,^INCLUDEDIR=.*,INCLUDE=${STAGING_INCDIR},g' \
	-e 's,^CONFINCLUDEDIR=.*,CONFINCLUDE=${STAGING_INCDIR},g' \
	Makefile
# save copy of it now, because if we do it in do_install and 
# then call do_install twice we get Makefile.orig == Makefile.sysroot
log_exec install -m 0644 ${B}/Makefile ${B}/Makefile.sysroot


do_python_make libpython3.so
do_python_make

do_buildstep_append
