#!/bin/bash
# Script to run make install with input target and arguments

if [ -r "$PLATFORM_LOC/scripts/utils.sh" ]; then
	source "$PLATFORM_LOC/scripts/utils.sh"
else
	source "$script_lib_dir/utils.sh"
fi

do_buildstep_prepend

log_exec install -d ${D}${libdir}/pkgconfig

do_make_install

if [ -e ${S}/sitecustomize.py ]; then
	log_exec install -m 0644 ${S}/sitecustomize.py ${D}/${libdir}/python${PYTHON_MAJMIN}
fi

log_exec install -d ${D}${bindir}/${PN}
log_exec install -m 0755 ${B}/Parser/pgen ${D}${bindir}

# Make sure we use /usr/bin/env python
for PYTHSCRIPT in `grep -rIl ${bindir}/python ${D}${bindir}/python3`; do
	sed -i -e '1s|^#!.*|#!/usr/bin/env python3|' $PYTHSCRIPT
done

# Add a symlink to the native Python so that scripts can just invoke
# "nativepython" and get the right one without needing absolute paths
# (these often end up too long for the #! parser in the kernel as the
# buffer is 128 bytes long).
log_exec ln -s python3 ${D}${bindir}/nativepython3

do_buildstep_append
